@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,400;0,700;1,300&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 10px;
  font-family: 'Montserrat', sans-serif;
}

a {
  text-decoration: none;
  color: #8f8c8c;
}

.container {
  min-height: 100vh;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-right: 90px;
  padding-left: 60px;
}


.section-title {
  font-size: 5rem;
  font-weight: 300;
  margin-bottom: 20px;
  letter-spacing: .2rem;
  text-align: center;
  color: black;
}


/* Header section */

#header a:hover{
  color: white;
  z-index: 1000;
}

#header {
	position: fixed;
	z-index: 1000;
	left: 0;
	top: 0;
	width: 100vw;
	height: auto;
}
#header .header {
	min-height: 8vh;
	background-color: #383838;
  z-index: -10;
	transition: 0.3s ease background-color;
}
#header .nav-bar {
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	height: 100%;
	max-width: 1300px;
	padding: 0 10px;

}
#header .nav-list ul {
	list-style: none;
	position: absolute;
	background-color: #383838;
	width: 100vw;
	height: 100vh;
	left: 100%;
	top: 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	z-index: 1;
	overflow-x: hidden;
	transition: 0.5s ease left;
}
#header .nav-list ul.active {
	left: 0%;
}
#header .nav-list ul a {
	font-size: 2.5rem;
	font-weight: 500;
	letter-spacing: 0.2rem;
	text-decoration: none;
	color: #8f8c8c;
	padding: 20px;
	display: block;
}

#header .nav-list ul a:hover {
	color: whitesmoke;
}


#header .nav-list ul a::after {
	content: attr(data-after);
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) scale(0);
	color: rgba(240, 248, 255, 0.021);
	font-size: 13rem;
	letter-spacing: 50px;
	z-index: -1;
	transition: 0.3s ease letter-spacing;
}
#header .nav-list ul li:hover a::after {
	transform: translate(-50%, -50%) scale(1);
	letter-spacing: initial;
}

#header .hamburger {
	height: 60px;
	width: 60px;
	display: inline-block;

	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 100;
	cursor: pointer;
	transform: scale(0.8);
	margin-right: 20px;
}

#header .hamburger:after {
	position: absolute;
	content: '';
	height: 100%;
	width: 100%;
	animation: hamburger_puls 1s ease infinite;
}
#header .hamburger .bar {
	height: 2px;
	width: 30px;
	position: relative;
	background-color: #8f8c8c;
}
#header .hamburger .bar::after,
#header .hamburger .bar::before {
	content: '';
	position: absolute;
	height: 100%;
	width: 100%;
	left: 0;
	background-color: #8f8c8c;
	transition: 0.3s ease;
	transition-property: top, bottom;
}
#header .hamburger .bar::after {
	top: 8px;
}
#header .hamburger .bar::before {
	bottom: 8px;
}
#header .hamburger.active .bar::before {
	bottom: 0;
}
#header .hamburger.active .bar::after {
	top: 0;
}
/* End Header section */


/* Hero sekcija - pradžios langas */
#hero {
  background-image: url(galva.jpg);
  background-size: 70vh;
  background-position: top center;
  position: relative;
  background-repeat: no-repeat;
  background-color: #383838;
  z-index: 1;
}

#hero::after {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: black;
  opacity: .3;
  z-index: -1;

}

#hero h1 a {
  display: block;
  width: fit-content;
  font-size: 5rem;
  position: relative;
  color: #8f8c8c;
  font-weight: 350;;
  letter-spacing: .05rem;
}

#hero h1 a:hover {
  color: whitesmoke;
  transform: scale(0.9);
  overflow: hidden;
  transition: all .6s linear;
}
/* Hero sekcijos pabaiga - pradžios lango pabaiga */


/* foto sekcija pradžia */
#foto .foto {
  flex-direction: column;
  text-align: center;
  max-width: 1500px;
  margin: 0 auto;
  padding: 100px 40px;
  justify-content:flex-start
}

#foto .foto-top p {
  font-size: 1.4rem;
  margin-top: 15px;
  margin-bottom: 20px;
  line-height: 2.5rem;
  text-align: center;
  font-weight: 300;
  letter-spacing: .05rem;
  color: black;
}

#foto .foto-bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

#foto .foto-card1 {
  flex-basis: 80%;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  padding: 30px;
  background-image: url(antropocenas_title.jpg);
  background-size: cover;
  width: 30vh;
  height: 30vw;
  margin: 10px 5%;
  position: relative;
}

#foto .foto-card2 {
  flex-basis: 80%;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  padding: 30px;
  background-image: url(abu_fonas.jpg);
  background-size: cover;
  width: 30vh;
  height: 30vw;
  margin: 10px 5%;
  position: relative;
}

#foto .foto-card3 {
  flex-basis: 80%;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  padding: 30px;
  background-image: url(sankirtos_title.jpg);
  background-size: cover;
  width: 30vh;
  height: 30vw;
  margin: 10px 5%;
  position: relative;
  opacity: (.5);
  background-color: #383838;
}

.foto-card1:hover {
  transform: scale(0.9);
  overflow: hidden;
  transition: all .6s linear;
}
  
.foto-card1 h2 {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -5;
}
  
.foto-card1 a {
  text-decoration: none;
  color: white;
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: black;
  opacity: .7;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 4rem;
  letter-spacing: .2rem;
  font-weight: 360;
}

.foto-card2:hover {
  transform: scale(0.9);
    overflow: hidden;
  transition: all .6s linear;
}
    
.foto-card2 h2 {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -5;
}
    
.foto-card2 a {
  text-decoration: none;
  color: white;
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: black;
  opacity: .7;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 4rem;
  letter-spacing: .2rem;
  font-weight: 360;
}

.foto-card3:hover {
  transform: scale(0.9);
  overflow: hidden;
  transition: all .6s linear;
}

.foto-card3 h2 {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -5;
}

.foto-card3 a {
  text-decoration: none;
  color: white;
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: black;
  opacity: .7;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 4rem;
  letter-spacing: .2rem;
  font-weight: 360;
}
/* foto sekcija pabaiga */

/* video sekcija pradžia */
#video .video {
  flex-direction: column;
  text-align: center;
  max-width: 1500px;
  margin: 0 auto;
  padding: 100px 40px;
  justify-content:flex-start
}

#video .video-header p {
  font-size: 1.4rem;
  margin-top: 15px;
  margin-bottom: 20px;
  line-height: 2.5rem;
  text-align: center;
  font-weight: 300;
  letter-spacing: .05rem;
  color: black;
}

#video .video-projects {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

#video .project-card {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 32%;
  margin: 20px auto;
  overflow: hidden;
}

#video .project-info {
  padding: 30px;
  flex-basis: 50%;
  background-color: #383838;
  height: 0%;
  color: whitesmoke;
}

#video .project-info h1 {
  font-size: 4rem;
  font-weight: 300;
  justify-content: left;
}

#video .project-info h2 {
  font-size: 1.8rem;
  font-weight: 300;
  margin-top: 10px;
  margin-bottom: 10px;
  justify-content: left;
  justify-items: left;
}

#video .project-info h4 {
  font-size: 1.4rem;
  font-weight: 300;
  margin-top: 10px;
  justify-content: left;
}

#video .project-img {
  flex-basis: 50%;
  height: 300px;
  overflow: hidden;
  position: relative;
  background-color: black;
}

#video .project-img img {
  transition: .3s ease transform;
}

#video .project-card:hover .project-img img {
  transform: scale(1.1);
  opacity: .6;
}
/* video sekcija pabaiga */


/* apie sekcija pradžia */
#apie .apiee{
  flex-direction: column;
  text-align: center;
  max-width: 1500px;
  margin: 0 auto;
  padding: 80px 40px;
  justify-content:space-between;
}

#apie .apie-bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: column;
}

#apie .apie-card2 {
  flex-basis: 80%;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  padding: 30px;
  background-image: url(abu_fonas.jpg);
  background-size: cover;
  width: 50vh;
  height: 50vw;
  margin: 10px 5%;
  position: relative;
  
}

.apie-card2:hover {
  transform: scale(2.1);
    overflow: hidden;
  transition: all .6s linear;
}
    
.apie-card2 h2 {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -5;
}
    
.apie-card2 a {
  text-decoration: none;
  color: white;
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;

  align-items: center;
  justify-content: center;
  font-size: 3rem;
  letter-spacing: .2rem;
  font-weight: 360;
}

#apie .apie-top p {
  font-size: 1.4rem;
  margin-top: 15px;
  margin-bottom: 30px;
  line-height: 2.5rem;
  text-align: center;
  font-weight: 300;
  letter-spacing: .05rem;
  color: black;
}
/* apie sekcija pabaiga */

/* contact Section */
#contact .contact {
	max-width: 1200px;
	margin: 0 auto;
	width: 90%;
}
#contact .contact-items {
	/* max-width: 400px; */
	width: 100%;
}
#contact .contact-item {
	width: 80%;
	padding: 20px;
	text-align: center;
	border-radius: 10px;
	padding: 30px;
	margin: 30px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	box-shadow: 0px 0px 18px 0 #383838;
	transition: 0.3s ease box-shadow;
}
#contact .contact-item:hover {
	box-shadow: 0px 0px 5px 0 #383838;
}
#contact .icon {
	width: 70px;
	margin: 0 auto;
	margin-bottom: 10px;
}
#contact .contact-info h1 {
	font-size: 2.5rem;
	font-weight: 500;
	margin-bottom: 5px;
}
#contact .contact-info h2 {
	font-size: 1.3rem;
	line-height: 2rem;
	font-weight: 500;
}
/*End contact Section */

/* Footer */
#footer {
	background-color: #8f8c8c;
}
#footer .footer {
	min-height: 200px;
	flex-direction: column;
	padding-top: 50px;
	padding-bottom: 10px;
}
#footer h2 {
	color: white;
	font-weight: 500;
	font-size: 1.8rem;
	letter-spacing: 0.1rem;
	margin-top: 10px;
	margin-bottom: 10px;
}
#footer .social-icon {
	display: flex;
	margin-bottom: 30px;
}
#footer .social-item {
	height: 50px;
	width: 50px;
	margin: 0 5px;
}
#footer .social-item img {
	filter: grayscale(1);
	transition: 0.3s ease filter;
}
#footer .social-item:hover img {
	filter: grayscale(0);
}
#footer p {
	color: white;
	font-size: 1.3rem;
}
/* End Footer */



@media only screen and (max-width: 1220px) {
  .video-blokas {
    opacity: 0;
  }
}

@media only screen and (max-width: 1220px) {
  .foto-blokas {
    opacity: 0;
  }
}


/* Media Query For Tablet */
@media only screen and (min-width: 768px) {

	h1.section-title {
		font-size: 6rem;
	}

	/* Hero */
	#hero h1 {
		font-size: 7rem;
	}
	/* End Hero */

	/* Services Section */
	#services .service-bottom .service-item {
		flex-basis: 45%;
		margin: 2.5%;
	}
	/* End Services Section */

	/* Project */
	#projects .project-item {
		flex-direction: row;
	}
	#projects .project-item:nth-child(even) {
		flex-direction: row-reverse;
	}
	#projects .project-item {
		height: 400px;
		margin: 0;
		width: 100%;
		border-radius: 0;
	}
	#projects .all-projects .project-info {
		height: 100%;
	}
	#projects .all-projects .project-img {
		height: 100%;
	}
	/* End Project */

	/* About */
	#about .about {
		flex-direction: row;
	}
	#about .col-left {
		width: 600px;
		height: 400px;
		padding-left: 60px;
	}

	}
	#about .col-right {
		text-align: left;
		padding: 30px;
	}
	#about .col-right h1 {
		text-align: left;
	}
	/* End About */

	/* contact  */
	#contact .contact {
		flex-direction: column;
		padding: 100px 0;
		align-items: center;
		justify-content: center;
		min-width: 20vh;
	}
	#contact .contact-items {
		width: 100%;
		display: flex;
		flex-direction: row;
		justify-content: space-evenly;
		margin: 0;
	}
	#contact .contact-item {
		width: 30%;
		margin: 0;
		flex-direction: row;
	}
	#contact .contact-item .icon {
		height: 100px;
		width: 100px;
	}
	#contact .contact-item .icon img {
		object-fit: contain;
	}
	#contact .contact-item .contact-info {
		width: 100%;
		text-align: left;
		padding-left: 20px;
	}
	/* End contact  */
}
/* End Media Query For Tablet */

/* Media Query For Desktop */
@media only screen and (min-width: 1200px) {
	/* header */
	#header .hamburger {
		display: none;
	}
	#header .nav-list ul {
		position: initial;
		display: block;
		height: auto;
		width: fit-content;
		background-color: transparent;
	}
	#header .nav-list ul li {
		display: inline-block;
	}
	#header .nav-list ul li a {
		font-size: 1.8rem;
	}
	#header .nav-list ul a:after {
		display: none;
	}
	/* End header */

	#services .service-bottom .service-item {
		flex-basis: 22%;
		margin: 1.5%;
	}
}
/* End  Media Query For Desktop */